
;-----------------------------------------------------------------------------
; Schmitt trigger demonstration project
; Variation "d" -- digital output
;-----------------------------------------------------------------------------


include "m8c.inc"       ; part specific constants and macros
include "memory.inc"    ; Constants & macros for SMM/LMM and Compiler
include "PSoCAPI.inc"   ; PSoC API definitions for all User Modules

export _main

_main:

    ; Insert your main assembly code here.
	lcall DigBuf_1_Start

	;preparations for digital interface
	or  reg[CMP_CR1],0b10000000				;do transparent the lutches of ComparatorBus 3
	and reg[CMPPRG_1_COMP_CR2],0b10111111 	;do transparent the comparator's output
	;preparations for converting the CMPPG UM into Schmitt trigger
	or  reg[CMPPRG_1_COMP_CR0],0b00000100	;Rtop to opamps output
	or  reg[CMPPRG_1_COMP_CR1],0b00111111	;NMux=PortInputs, PMux=Feedback
	;starting CMPPG UM
	mov A,3
	lcall CMPPRG_1_Start

.terminate:
    jmp .terminate
